# Uses of Class
org.springframework.web.util.pattern.PatternParseException

Packages that use PatternParseException
Package
Description
org.springframework.web.util.pattern
Dedicated support for matching HTTP request paths.

## Uses of PatternParseException in org.springframework.web.util.pattern

Methods in org.springframework.web.util.pattern that throw PatternParseException
Modifier and Type
Method
Description
`PathPattern`
PathPatternParser.`parse(String pathPattern)`
Process the path pattern content, a character at a time, breaking it into path elements around separator boundaries and verifying the structure at each stage.